﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #ButtonGadgetColor1
  #ButtonGadgetColor2
  #ButtonGadgetColor3
  #ButtonGadgetColor4
  #ButtonGadgetColor5
EndEnumeration
;}

UsePNGImageDecoder()

OpenWindow(#Fenetre, 327, 177, 655, 405, "Liste de Boutons...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)
SetWindowColor(#Fenetre, RGB(220, 220, 220))

CreateButtonColor(#ButtonGadgetColor0, 10, 10, 175, 60, "Bouton Choix N°1", RGBA(0, 0, 255, 150), 0, #True)                                                   ; Bouton Style Simple.
SetButtonColorLayerGradientColor(#ButtonGadgetColor0, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_ColorCorners, RGBA(220, 220, 220, 255))                                                                      ; Change la couleur des Coins du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_Group, 1)                                                                                                    ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor0)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor1, 10, 75, 175, 60, "Bouton Choix N°2", RGBA(0, 0, 255, 150), 0, #True)                                                   ; Bouton Style Simple.
SetButtonColorLayerGradientColor(#ButtonGadgetColor1, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_ColorCorners, RGBA(220, 220, 220, 255))                                                                      ; Change la couleur des Coins du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_Group, 1)                                                                                                    ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor1)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor2, 10, 140, 175, 60, "Bouton Choix N°3", RGBA(0, 0, 255, 150), 0, #True)                                                  ; Bouton Style Simple.
SetButtonColorLayerGradientColor(#ButtonGadgetColor2, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_ColorCorners, RGBA(220, 220, 220, 255))                                                                      ; Change la couleur des Coins du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_Group, 1)                                                                                                    ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor2)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor3, 10, 205, 175, 60, "Bouton Choix N°4", RGBA(0, 0, 255, 150), 0, #True)                                                  ; Bouton Style Simple.
SetButtonColorLayerGradientColor(#ButtonGadgetColor3, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_ColorCorners, RGBA(220, 220, 220, 255))                                                                      ; Change la couleur des Coins du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_Group, 1)                                                                                                    ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor3)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor4, 10, 270, 175, 60, "Bouton Choix N°5", RGBA(0, 0, 255, 150), 0, #True)                                                  ; Bouton Style Simple.
SetButtonColorLayerGradientColor(#ButtonGadgetColor4, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_ColorCorners, RGBA(220, 220, 220, 255))                                                                      ; Change la couleur des Coins du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_Group, 1)                                                                                                    ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor4)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor5, 10, 335, 175, 60, "Bouton Choix N°6", RGBA(0, 0, 255, 150), 0, #True)                                                  ; Bouton Style Simple.
SetButtonColorLayerGradientColor(#ButtonGadgetColor5, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_ColorCorners, RGBA(220, 220, 220, 255))                                                                      ; Change la couleur des Coins du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_Group, 1)                                                                                                    ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor5)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventType = EventType()    ; Le type d'évènement qui s'est produit sur le gadget.
  
  Select Event 
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor0 To #ButtonGadgetColor5
          
          Select EventType()
              
            Case #PB_EventType_MouseEnter
              SetButtonColorLayerGradientColor(EventGadget, RGBA(255, 225, 195, 255), RGBA(255, 245, 235, 255), RGBA(255, 205, 105, 255), RGBA(255, 220, 125, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
              RedrawButtonColor(EventGadget)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.
              
            Case #PB_EventType_MouseLeave
              SetButtonColorLayerGradientColor(EventGadget, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
              RedrawButtonColor(EventGadget)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.
              
            Case #PB_EventType_LeftButtonDown
              
            Case #PB_EventType_LeftButtonUp
              
            Case #PB_EventType_LeftClick
              
              If GetButtonColorState(EventGadget, #BC_StateToggle) = #True And GetButtonColorState(EventGadget, #BC_StateToggleActivate) = #True
                Debug "Le Bouton n°" + Str(EventGadget + 1) + " a été Activé !"
              EndIf
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; FirstLine = 6
; Folding = -
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 65
; EnableBuildCount = 0
; EnableExeConstant
; EnableUnicode