﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation ButtonColor::CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "Module CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #ButtonGadgetColor1
  #ButtonGadgetColor2
  #ButtonGadgetColor3
  #ButtonGadgetColor4
  #ButtonGadgetColor5
  #ButtonGadgetColor6
  #ButtonGadgetColor7
  #ButtonGadgetColor8
  #ButtonGadgetColor9
  #ButtonGadgetColor10
  #ButtonGadgetColor11
  #ButtonGadgetColor12
  #ButtonGadgetColor13
  #ButtonGadgetColor14
  #ButtonGadgetColor15
  #ButtonGadgetColor16
  #ButtonGadgetColor17
  #ButtonGadgetColor18
  #ButtonGadgetColor19
  #ButtonGadgetColor20
  #ButtonGadgetColor21
  #ButtonGadgetColor22
  #ButtonGadgetColor23
  #ButtonGadgetColor24
EndEnumeration
;}

UsePNGImageDecoder()

OpenWindow(#Fenetre, 327, 177, 790, 370, "Modèles de Boutons...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)

; -------- Boutons Simple --------

ButtonColor::Create(#ButtonGadgetColor0, 10, 10, 150, 30, "Bouton Standard", RGBA(185, 0, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Standard.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_DefautBorderColorNoActivate, RGBA(114, 114, 114, 255))   ; Change la Couleur de la Bordure Normale du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Activée (Intérupteur) du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor0)                                                                                 ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor1, 165, 10, 150, 30, "Bouton Single", RGBA(0, 100, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Single.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_Style, ButtonColor::#BC_StyleSingle)                                    ; Change le Style du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor1)                                                                                                ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor2, 320, 10, 150, 30, "Bouton Flat", RGBA(0, 0, 200, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Flat.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_Style, ButtonColor::#BC_StyleFlat)                                    ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_FlatBorderColorNoActivate, RGBA(114, 114, 114, 255))                  ; Change la Couleur de la Bordure Normale du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_FlatBorderColorActivate, RGBA(255, 0, 0, 255))                        ; Change la Couleur de la Bordure Activée (Intérupteur) du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor2)                                                                                              ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor3, 475, 10, 150, 30, "Bouton 3D", RGBA(255, 125, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton 3D.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_Style, ButtonColor::#BC_Style3D)                                    ; Change le Style du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor3)                                                                                            ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor4, 630, 10, 150, 30, "Bouton NoBorder", RGBA(185, 0, 150, 255), 0, #False, #PB_Cursor_Hand) ; Bouton NoBorder (Sans Bordures).
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                                    ; Change le Style du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor4)                                                                                                  ; Redessine le Bouton avec ses nouvelles Valeurs.

; -------- Boutons Simple avec Surlignage --------

ButtonColor::Create(#ButtonGadgetColor5, 10, 45, 150, 30, "Bouton Standard", RGBA(185, 0, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Standard.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_DefautBorderColorNoActivate, RGBA(114, 114, 114, 255))   ; Change la Couleur de la Bordure Normale du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Activée (Intérupteur) du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_ColorMaskButtonOver, RGBA(255, 200, 0, 100))                              ; Change la Couleur du Masque du Bouton quand la Souris passe sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_ColorMaskButtonClick, RGBA(255, 0, 0, 75))                              ; Change la Couleur du Masque du Bouton celui-ci est Pressé.
ButtonColor::Redraw(#ButtonGadgetColor5)                                                                                 ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor6, 165, 45, 150, 30, "Bouton Single", RGBA(0, 100, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Single.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_Style, ButtonColor::#BC_StyleSingle)                                    ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_ColorMaskButtonOver, RGBA(255, 200, 0, 100))                              ; Change la Couleur du Masque du Bouton quand la Souris passe sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_ColorMaskButtonClick, RGBA(255, 0, 0, 75))                              ; Change la Couleur du Masque du Bouton celui-ci est Pressé.
ButtonColor::Redraw(#ButtonGadgetColor6)                                                                                                ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor7, 320, 45, 150, 30, "Bouton Flat", RGBA(0, 0, 200, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Flat.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_Style, ButtonColor::#BC_StyleFlat)                                    ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_FlatBorderColorNoActivate, RGBA(114, 114, 114, 255))                  ; Change la Couleur de la Bordure Normale du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_FlatBorderColorActivate, RGBA(255, 0, 0, 255))                        ; Change la Couleur de la Bordure Activée (Intérupteur) du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_ColorMaskButtonOver, RGBA(255, 200, 0, 100))                              ; Change la Couleur du Masque du Bouton quand la Souris passe sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_ColorMaskButtonClick, RGBA(255, 0, 0, 75))                              ; Change la Couleur du Masque du Bouton celui-ci est Pressé.
ButtonColor::Redraw(#ButtonGadgetColor7)                                                                                              ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor8, 475, 45, 150, 30, "Bouton 3D", RGBA(255, 125, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton 3D.
ButtonColor::SetAttribute(#ButtonGadgetColor8, ButtonColor::#BC_Style, ButtonColor::#BC_Style3D)                                    ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor8, ButtonColor::#BC_ColorMaskButtonOver, RGBA(255, 200, 0, 100))                              ; Change la Couleur du Masque du Bouton quand la Souris passe sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor8, ButtonColor::#BC_ColorMaskButtonClick, RGBA(255, 0, 0, 75))                              ; Change la Couleur du Masque du Bouton celui-ci est Pressé.
ButtonColor::Redraw(#ButtonGadgetColor8)                                                                                            ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor9, 630, 45, 150, 30, "Bouton NoBorder", RGBA(185, 0, 150, 255), 0, #False, #PB_Cursor_Hand) ; Bouton NoBorder (Sans Bordures).
ButtonColor::SetAttribute(#ButtonGadgetColor9, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                                    ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor9, ButtonColor::#BC_ColorMaskButtonOver, RGBA(255, 200, 0, 100))                              ; Change la Couleur du Masque du Bouton quand la Souris passe sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor9, ButtonColor::#BC_ColorMaskButtonClick, RGBA(255, 0, 0, 75))                              ; Change la Couleur du Masque du Bouton celui-ci est Pressé.
ButtonColor::Redraw(#ButtonGadgetColor9)         

; -------- Boutons Avec Calque --------

ButtonColor::Create(#ButtonGadgetColor10, 10, 80, 150, 30, "Bouton Standard", RGBA(185, 0, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Standard.
ButtonColor::SetAttribute(#ButtonGadgetColor10, ButtonColor::#BC_DefautBorderColorNoActivate, RGBA(114, 114, 114, 255))   ; Change la Couleur de la Bordure Normale du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor10, ButtonColor::#BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Activée (Intérupteur) du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor10, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255))       ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor10)                                                                                 ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor11, 165, 80, 150, 30, "Bouton Single", RGBA(0, 100, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Single.
ButtonColor::SetAttribute(#ButtonGadgetColor11, ButtonColor::#BC_Style, ButtonColor::#BC_StyleSingle)                                    ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor11, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255))       ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor11)                                                                                                ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor12, 320, 80, 150, 30, "Bouton Flat", RGBA(0, 0, 200, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Flat.
ButtonColor::SetAttribute(#ButtonGadgetColor12, ButtonColor::#BC_Style, ButtonColor::#BC_StyleFlat)                                    ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor12, ButtonColor::#BC_FlatBorderColorNoActivate, RGBA(114, 114, 114, 255))                  ; Change la Couleur de la Bordure Normale du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor12, ButtonColor::#BC_FlatBorderColorActivate, RGBA(255, 0, 0, 255))                        ; Change la Couleur de la Bordure Activée (Intérupteur) du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor12, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255))       ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor12)                                                                                              ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor13, 475, 80, 150, 30, "Bouton 3D", RGBA(255, 125, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton 3D.
ButtonColor::SetAttribute(#ButtonGadgetColor13, ButtonColor::#BC_Style, ButtonColor::#BC_Style3D)                                    ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor13, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255))       ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor13)                                                                                            ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor14, 630, 80, 150, 30, "Bouton NoBorder", RGBA(185, 0, 150, 255), 0, #False, #PB_Cursor_Hand) ; Bouton NoBorder (Sans Bordures).
ButtonColor::SetAttribute(#ButtonGadgetColor14, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                                    ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor14, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255))       ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor14)         

; -------- Boutons Avec Calque Style Office --------

ButtonColor::Create(#ButtonGadgetColor15, 10, 115, 150, 30, "Bouton Standard", RGBA(185, 0, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Standard.
ButtonColor::SetAttribute(#ButtonGadgetColor15, ButtonColor::#BC_DefautBorderColorNoActivate, RGBA(114, 114, 114, 255))   ; Change la Couleur de la Bordure Normale du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor15, ButtonColor::#BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Activée (Intérupteur) du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor15, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255))       ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor15)                                                                                 ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor16, 165, 115, 150, 30, "Bouton Single", RGBA(0, 100, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Single.
ButtonColor::SetAttribute(#ButtonGadgetColor16, ButtonColor::#BC_Style, ButtonColor::#BC_StyleSingle)                                    ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor16, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255))       ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor16)                                                                                                ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor17, 320, 115, 150, 30, "Bouton Flat", RGBA(0, 0, 200, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Flat.
ButtonColor::SetAttribute(#ButtonGadgetColor17, ButtonColor::#BC_Style, ButtonColor::#BC_StyleFlat)                                    ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor17, ButtonColor::#BC_FlatBorderColorNoActivate, RGBA(114, 114, 114, 255))                  ; Change la Couleur de la Bordure Normale du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor17, ButtonColor::#BC_FlatBorderColorActivate, RGBA(255, 0, 0, 255))                        ; Change la Couleur de la Bordure Activée (Intérupteur) du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor17, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255))       ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor17)                                                                                              ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor18, 475, 115, 150, 30, "Bouton 3D", RGBA(255, 125, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton 3D.
ButtonColor::SetAttribute(#ButtonGadgetColor18, ButtonColor::#BC_Style, ButtonColor::#BC_Style3D)                                    ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor18, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255))       ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor18)                                                                                            ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor19, 630, 115, 150, 30, "Bouton NoBorder", RGBA(185, 0, 150, 255), 0, #False, #PB_Cursor_Hand) ; Bouton NoBorder (Sans Bordures).
ButtonColor::SetAttribute(#ButtonGadgetColor19, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                                    ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor19, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255))       ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor19)         

; -------- Boutons Avec Calque Style Office Permanent--------

ButtonColor::Create(#ButtonGadgetColor20, 10, 150, 150, 30, "Bouton Standard", RGBA(185, 0, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Standard.
ButtonColor::SetAttribute(#ButtonGadgetColor20, ButtonColor::#BC_DefautBorderColorNoActivate, RGBA(114, 114, 114, 255))   ; Change la Couleur de la Bordure Normale du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor20, ButtonColor::#BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Activée (Intérupteur) du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor20, RGBA(255, 225, 195, 255), RGBA(255, 245, 235, 255), RGBA(255, 205, 105, 255), RGBA(255, 220, 125, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor20)                                                                                 ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor21, 165, 150, 150, 30, "Bouton Single", RGBA(0, 100, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Single.
ButtonColor::SetAttribute(#ButtonGadgetColor21, ButtonColor::#BC_Style, ButtonColor::#BC_StyleSingle)                                    ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor21, RGBA(255, 225, 195, 255), RGBA(255, 245, 235, 255), RGBA(255, 205, 105, 255), RGBA(255, 220, 125, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor21)                                                                                                ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor22, 320, 150, 150, 30, "Bouton Flat", RGBA(0, 0, 200, 255), 0, #False, #PB_Cursor_Hand) ; Bouton Flat.
ButtonColor::SetAttribute(#ButtonGadgetColor22, ButtonColor::#BC_Style, ButtonColor::#BC_StyleFlat)                                    ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor22, ButtonColor::#BC_FlatBorderColorNoActivate, RGBA(114, 114, 114, 255))                  ; Change la Couleur de la Bordure Normale du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor22, ButtonColor::#BC_FlatBorderColorActivate, RGBA(255, 0, 0, 255))                        ; Change la Couleur de la Bordure Activée (Intérupteur) du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor22, RGBA(255, 225, 195, 255), RGBA(255, 245, 235, 255), RGBA(255, 205, 105, 255), RGBA(255, 220, 125, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor22)                                                                                              ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor23, 475, 150, 150, 30, "Bouton 3D", RGBA(255, 125, 0, 255), 0, #False, #PB_Cursor_Hand) ; Bouton 3D.
ButtonColor::SetAttribute(#ButtonGadgetColor23, ButtonColor::#BC_Style, ButtonColor::#BC_Style3D)                                    ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor23, RGBA(255, 225, 195, 255), RGBA(255, 245, 235, 255), RGBA(255, 205, 105, 255), RGBA(255, 220, 125, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor23)                                                                                            ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor24, 630, 150, 150, 30, "Bouton NoBorder", RGBA(185, 0, 150, 255), 0, #False, #PB_Cursor_Hand) ; Bouton NoBorder (Sans Bordures).
ButtonColor::SetAttribute(#ButtonGadgetColor24, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                                    ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor24, RGBA(255, 225, 195, 255), RGBA(255, 245, 235, 255), RGBA(255, 205, 105, 255), RGBA(255, 220, 125, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor24)         

Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventTimer = EventTimer()  ; Pour savoir sur quel Timer s'est produit l'évènement.
  EventType = EventType()    ; Pour savoir quel type d'évènement qui s'est produit sur le gadget.
  
  Select Event 
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor15 To #ButtonGadgetColor19
          
          Select EventType()
              
            Case #PB_EventType_MouseEnter
              ButtonColor::SetLayerGradientColor(EventGadget, RGBA(255, 225, 195, 255), RGBA(255, 245, 235, 255), RGBA(255, 205, 105, 255), RGBA(255, 220, 125, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
              ButtonColor::Redraw(EventGadget)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.
              
            Case #PB_EventType_MouseLeave
              ButtonColor::SetLayerGradientColor(EventGadget, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
              ButtonColor::Redraw(EventGadget)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.
              
            Case #PB_EventType_MouseMove
              
            Case #PB_EventType_LeftButtonDown
              
            Case #PB_EventType_LeftButtonUp
              
            Case #PB_EventType_LeftClick
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.71 beta 1 LTS (Windows - x64)
; CursorPosition = 229
; FirstLine = 161
; Folding = +
; EnableXP
; EnableUser
; EnableOnError
; EnableCompileCount = 147
; EnableBuildCount = 0
; EnableExeConstant