﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "Module CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #ButtonGadgetColor1
  #ButtonGadgetColor2
  #ButtonGadgetColor3
  #ButtonGadgetColor4
  #ButtonGadgetColor5
  #ButtonGadgetColor6
  #ButtonGadgetColor7
  #ButtonGadgetColor8
  #ButtonGadgetColor9
  #ButtonGadgetColor10
EndEnumeration
;}

UsePNGImageDecoder()

UseModule ButtonColor

OpenWindow(#Fenetre, 327, 177, 655, 330, "Bouton Divers LayerGradiant...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)
SetWindowColor(#Fenetre, RGB(220, 220, 220))

ButtonColor::Create(#ButtonGadgetColor0, 10, 10, 175, 60, "Bouton Defaut Interupteur", RGBA(0, 0, 255, 150), 0, #True) ; Bouton Style Defaut.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_DefautBorderColorNoActivate, RGBA(0, 0, 255, 255))     ; Change la couleur de la Bordure du Bouton Normale.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))       ; Change la couleur de la Bordure du Bouton Activé (Interupteur On).
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_ColorCorners, RGBA(220, 220, 220, 255))                ; Change la couleur des Coins du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor0)                                                                               ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor1, 190, 10, 175, 60, "Bouton Single", RGBA(0, 0, 255, 150)) ; Bouton Style Single.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_Style, ButtonColor::#BC_StyleSingle)                        ; Change le Style du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor1)                                                                                    ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor2, 370, 10, 175, 60, "Bouton Flat Interupteur", RGBA(0, 0, 255, 150), 0, #True) ; Bouton Style Ftat.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_Style, ButtonColor::#BC_StyleFlat)                    ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_FlatBorderColorNoActivate, RGBA(0, 0, 255, 255))      ; Change la couleur de la Bordure du Bouton Normale.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_FlatBorderColorActivate, RGBA(255, 0, 0, 255))        ; Change la couleur de la Bordure du Bouton Activé (Interupteur On).
ButtonColor::Redraw(#ButtonGadgetColor2)                                                                              ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor3, 10, 75, 175, 60, "Bouton Sans Bordure", RGBA(0, 0, 255, 150)) ; Bouton Style Sans Bordure.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder) ; Change la couleur des Coins du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor3)                                                               ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor4, 190, 75, 175, 60, "Bouton 3D", RGBA(0, 0, 255, 150), 0) ; Bouton Style 3D.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_Style, ButtonColor::#BC_Style3D) ; Change le Style du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor4)                                                         ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor5, 10, 140, 175, 60, "Bouton Calque Defaut", RGBA(0, 0, 255, 150)) ; Bouton Style Defaut.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor5, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_ColorCorners, RGBA(220, 220, 220, 255))                                                         ; Change la couleur des Coins du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor5)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor6, 190, 140, 175, 60, "Bouton Calque Single", RGBA(0, 0, 255, 150)) ; Bouton Style Single.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_Style, ButtonColor::#BC_StyleSingle)      ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor6, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_ColorCorners, RGBA(240, 240, 240, 255))                                                         ; Change la couleur des Coins du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor6)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor7, 370, 140, 175, 60, "Bouton Calque Flat", RGBA(0, 0, 255, 150)) ; Bouton Style Flat.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_Style, ButtonColor::#BC_StyleFlat)      ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_FlatBorderColorNoActivate, RGBA(255, 0, 0, 255))     ; Change la couleur de la Bordure du Bouton Normale.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor7, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor7)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor8, 10, 205, 175, 60, "Bouton Calque Sans Bordure", RGBA(0, 0, 255, 150)) ; Bouton Style Sans Bordure.
ButtonColor::SetAttribute(#ButtonGadgetColor8, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)         ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor8, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor8)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor9, 190, 205, 175, 60, "Bouton Calque 3D", RGBA(0, 0, 255, 150), 0) ; Bouton Style 3D.
ButtonColor::SetAttribute(#ButtonGadgetColor9, ButtonColor::#BC_Style, ButtonColor::#BC_Style3D)         ; Change le Style du Bouton.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor9, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor9)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor10, 370, 205, 175, 60, "Bouton Calque Defaut Office", RGBA(0, 0, 255, 150), 0, #True) ; Bouton Style Defaut.
ButtonColor::SetLayerGradientColor(#ButtonGadgetColor10, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor10, ButtonColor::#BC_ColorCorners, RGBA(220, 220, 220, 255))                                                         ; Change la couleur des Coins du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor10)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.


Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventType = EventType()    ; Le type d'évènement qui s'est produit sur le gadget.
  
  Select Event 
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor10
          
          Select EventType()
              
            Case #PB_EventType_MouseEnter
              ButtonColor::SetLayerGradientColor(#ButtonGadgetColor10, RGBA(255, 225, 195, 255), RGBA(255, 245, 235, 255), RGBA(255, 205, 105, 255), RGBA(255, 220, 125, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
              ButtonColor::Redraw(#ButtonGadgetColor10)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.
              
            Case #PB_EventType_MouseLeave
              ButtonColor::SetLayerGradientColor(#ButtonGadgetColor10, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
              ButtonColor::Redraw(#ButtonGadgetColor10)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.
              
            Case #PB_EventType_LeftButtonDown
              
              
            Case #PB_EventType_LeftButtonUp
              
              
            Case #PB_EventType_LeftClick
              
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; Folding = +
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 914
; EnableBuildCount = 0
; EnableExeConstant