﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #ButtonGadgetColor1
  #ButtonGadgetColor2
  #ButtonGadgetColor3
  #ButtonGadgetColor4
  #ButtonGadgetColor5
  #ButtonGadgetColor6
  #ButtonGadgetColor7
EndEnumeration
;}

UsePNGImageDecoder()

OpenWindow(#Fenetre, 327, 177, 275, 105, "Bouton CheckBox - Radio...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)

CreateButtonColor(#ButtonGadgetColor0, 10, 15, 80, 15, "Option n°1", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)    ; Bouton Coloré avec Curseur.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_Style, #BC_StyleNoBorder)                                               ; Change le Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_TextPosition, 5)                                                        ; Change la Disposition du Texte sur le Bouton.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_Type, #BC_TypeCheckBox)                                                 ; Change le Type du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_CheckBoxStyle, #BC_CheckBoxStyleRound)                                  ; Change le Style de la CheckBox.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_CheckBoxBorderColorNoActivate, RGBA(0, 0, 255, 255))                    ; Change la Couleur de la Bordure Normale de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))                      ; Change la Couleur de la Bordure Active de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))                            ; Change la Couleur Interieur de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_CheckBoxMotifColor, RGBA(255, 0, 0, 255))                               ; Change la Couleur du Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_DisableEventAutoDisplay, #True)                                         ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_Group, 1)                                                               ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor0)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor1, 10, 35, 80, 15, "Option n°2", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)    ; Bouton Coloré avec Curseur.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_Style, #BC_StyleNoBorder)                                               ; Change de Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_TextPosition, 5)                                                        ; Change la Disposition du Texte sur le Bouton.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_Type, #BC_TypeCheckBox)                                                 ; Change le Type du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_CheckBoxStyle, #BC_CheckBoxStyleRound)                                  ; Change le Style de la CheckBox.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_CheckBoxBorderColorNoActivate, RGBA(0, 0, 255, 255))                    ; Change la Couleur de la Bordure Normale de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))                      ; Change la Couleur de la Bordure Active de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))                            ; Change la Couleur Interieur de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_CheckBoxMotifColor, RGBA(255, 0, 0, 255))                               ; Change la Couleur du Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_DisableEventAutoDisplay, #True)                                         ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_Group, 1)                                                               ; Change le Groupe du Bouton.
SetButtonColorState(#ButtonGadgetColor1, #BC_StateToggleActivate, #True)                                                 ; Active le Bouton.
RedrawButtonColor(#ButtonGadgetColor1)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor2, 10, 55, 80, 15, "Option n°3", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)    ; Bouton Coloré avec Curseur.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_Style, #BC_StyleNoBorder)                                               ; Change le Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_TextPosition, 5)                                                        ; Change la Disposition du Texte sur le Bouton.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_Type, #BC_TypeCheckBox)                                                 ; Change le Type du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_CheckBoxStyle, #BC_CheckBoxStyleRound)                                  ; Change le Style de la CheckBox.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_CheckBoxBorderColorNoActivate, RGBA(0, 0, 255, 255))                    ; Change la Couleur de la Bordure Normale de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))                      ; Change la Couleur de la Bordure Active de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))                            ; Change la Couleur Interieur de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_CheckBoxMotifColor, RGBA(255, 0, 0, 255))                               ; Change la Couleur du Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_DisableEventAutoDisplay, #True)                                         ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_Group, 1)                                                               ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor2)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor3, 10, 75, 80, 15, "Option n°4", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)    ; Bouton Coloré avec Curseur.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_Style, #BC_StyleNoBorder)                                               ; Change le Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_TextPosition, 5)                                                        ; Change la Disposition du Texte sur le Bouton.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_Type, #BC_TypeCheckBox)                                                 ; Change le Type du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_CheckBoxStyle, #BC_CheckBoxStyleRound)                                  ; Change le Style de la CheckBox.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_CheckBoxBorderColorNoActivate, RGBA(0, 0, 255, 255))                    ; Change la Couleur de la Bordure Normale de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))                      ; Change la Couleur de la Bordure Active de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))                            ; Change la Couleur Interieur de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_CheckBoxMotifColor, RGBA(255, 0, 0, 255))                               ; Change la Couleur du Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_DisableEventAutoDisplay, #True)                                         ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_Group, 1)                                                               ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor3)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor4, 100, 15, 80, 15, "Option n°1", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)   ; Bouton Coloré avec Curseur.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_Style, #BC_StyleNoBorder)                                               ; Change le Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_TextPosition, 5)                                                        ; Change la Disposition du Texte sur le Bouton.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_Type, #BC_TypeCheckBox)                                                 ; Change le Type du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_CheckBoxStyle, #BC_CheckBoxStyleRound)                                  ; Change le Style de la CheckBox.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_CheckBoxBorderColorNoActivate, RGBA(0, 150, 0, 255))                    ; Change la Couleur de la Bordure Normale de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))                      ; Change la Couleur de la Bordure Active de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))                            ; Change la Couleur Interieur de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_CheckBoxMotifColor, RGBA(0, 0, 255, 255))                               ; Change la Couleur du Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_CheckBoxNumberMotif, 63)                                                ; Change le Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_DisableEventAutoDisplay, #True)                                         ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_Group, 2)                                                               ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor4)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor5, 100, 35, 80, 15, "Option n°2", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)   ; Bouton Coloré avec Curseur.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_Style, #BC_StyleNoBorder)                                               ; Change le Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_TextPosition, 5)                                                        ; Change la Disposition du Texte sur le Bouton.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_Type, #BC_TypeCheckBox)                                                 ; Change le Type du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_CheckBoxStyle, #BC_CheckBoxStyleRound)                                  ; Change le Style de la CheckBox.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_CheckBoxBorderColorNoActivate, RGBA(0, 150, 0, 255))                    ; Change la Couleur de la Bordure Normale de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))                      ; Change la Couleur de la Bordure Active de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))                            ; Change la Couleur Interieur de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_CheckBoxMotifColor, RGBA(0, 0, 255, 255))                               ; Change la Couleur du Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_CheckBoxNumberMotif, 63)                                                ; Change le Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_DisableEventAutoDisplay, #True)                                         ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_Group, 2)                                                               ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor5)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor6, 100, 55, 80, 15, "Option n°3", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)   ; Bouton Coloré avec Curseur.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_Style, #BC_StyleNoBorder)                                               ; Change le Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_TextPosition, 5)                                                        ; Change la Disposition du Texte sur le Bouton.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_Type, #BC_TypeCheckBox)                                                 ; Change le Type du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_CheckBoxStyle, #BC_CheckBoxStyleRound)                                  ; Change le Style de la CheckBox.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_CheckBoxBorderColorNoActivate, RGBA(0, 150, 0, 255))                    ; Change la Couleur de la Bordure Normale de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))                      ; Change la Couleur de la Bordure Active de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))                            ; Change la Couleur Interieur de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_CheckBoxMotifColor, RGBA(0, 0, 255, 255))                               ; Change la Couleur du Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_CheckBoxNumberMotif, 63)                                                ; Change le Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_DisableEventAutoDisplay, #True)                                         ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_Group, 2)                                                               ; Change le Groupe du Bouton.
SetButtonColorState(#ButtonGadgetColor6, #BC_StateToggleActivate, #True)                                                 ; Active le Bouton.
RedrawButtonColor(#ButtonGadgetColor6)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor7, 100, 75, 80, 15, "Option n°4", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)   ; Bouton Coloré avec Curseur.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_Style, #BC_StyleNoBorder)                                               ; Change le Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_TextPosition, 5)                                                        ; Change la Disposition du Texte sur le Bouton.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_Type, #BC_TypeCheckBox)                                                 ; Change le Type du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_CheckBoxStyle, #BC_CheckBoxStyleRound)                                  ; Change le Style de la CheckBox.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_CheckBoxBorderColorNoActivate, RGBA(0, 150, 0, 255))                    ; Change la Couleur de la Bordure Normale de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))                      ; Change la Couleur de la Bordure Active de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))                            ; Change la Couleur Interieur de la ChecBox.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_CheckBoxMotifColor, RGBA(0, 0, 255, 255))                               ; Change la Couleur du Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_CheckBoxNumberMotif, 63)                                                ; Change le Motif de la ChecBox du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_DisableEventAutoDisplay, #True)                                         ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_Group, 2)                                                               ; Change le Groupe du Bouton.
RedrawButtonColor(#ButtonGadgetColor7)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.


Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventTimer = EventTimer()  ; Pour savoir sur quel Timer s'est produit l'évènement.
  EventType = EventType()    ; Pour savoir quel type d'évènement qui s'est produit sur le gadget.
  
  Select Event 
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor0 To #ButtonGadgetColor7
          
          Select EventType()
              
            Case #PB_EventType_MouseEnter
              
            Case #PB_EventType_MouseLeave
              
            Case #PB_EventType_MouseMove
              
            Case #PB_EventType_LeftButtonDown
              
            Case #PB_EventType_LeftButtonUp
              
            Case #PB_EventType_LeftClick
              
              If GetButtonColorState(EventGadget, #BC_StateToggle) = #True
                
                If GetButtonColorState(EventGadget, #BC_StateToggleActivate) = #False
                  SetButtonColorState(EventGadget, #BC_StateToggleActivate, #True)
                  RedrawButtonColor(EventGadget)                                                                         ; Redessine le Bouton avec ses nouvelles Valeurs.
                  
                EndIf
                
              EndIf
              
              
          EndSelect
          
        Case #ButtonGadgetColor1
          
          Select EventType()
              
            Case #PB_EventType_LeftClick
              
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; CursorPosition = 26
; FirstLine = 6
; Folding = -
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 46
; EnableBuildCount = 0
; EnableExeConstant