﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "Module CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #ButtonGadgetColor1
  #ButtonGadgetColor2
  #ButtonGadgetColor3
  #ButtonGadgetColor4
  #ButtonGadgetColor5
  #ButtonGadgetColor6
  #ButtonGadgetColor7
EndEnumeration
;}

UsePNGImageDecoder()

UseModule ButtonColor

OpenWindow(#Fenetre, 327, 177, 630, 330, "Bouton CheckBox - Radio...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)

ButtonColor::Create(#ButtonGadgetColor0, 10, 15, 80, 15, "Option n°1", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)    ; Bouton Coloré avec Curseur.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                     ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_TextPosition, 5)                                           ; Change la Disposition du Texte sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_Type, ButtonColor::#BC_TypeCheckBox)                       ; Change le Type du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_CheckBoxStyle, ButtonColor::#BC_CheckBoxStyleRound)        ; Change le Style de la CheckBox.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_CheckBoxBorderColorNoActivate, RGBA(0, 0, 255, 255))       ; Change la Couleur de la Bordure Normale de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Active de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))               ; Change la Couleur Interieur de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_CheckBoxMotifColor, RGBA(255, 0, 0, 255))                  ; Change la Couleur du Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_DisableEventAutoDisplay, #True)                            ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_Group, 1)                                                  ; Change le Groupe du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor0)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor1, 10, 35, 80, 15, "Option n°2", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)    ; Bouton Coloré avec Curseur.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                     ; Change de Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_TextPosition, 5)                                           ; Change la Disposition du Texte sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_Type, ButtonColor::#BC_TypeCheckBox)                       ; Change le Type du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_CheckBoxStyle, ButtonColor::#BC_CheckBoxStyleRound)        ; Change le Style de la CheckBox.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_CheckBoxBorderColorNoActivate, RGBA(0, 0, 255, 255))       ; Change la Couleur de la Bordure Normale de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Active de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))               ; Change la Couleur Interieur de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_CheckBoxMotifColor, RGBA(255, 0, 0, 255))                  ; Change la Couleur du Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_DisableEventAutoDisplay, #True)                            ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_Group, 1)                                                  ; Change le Groupe du Bouton.
SetState(#ButtonGadgetColor1, ButtonColor::#BC_StateToggleActivate, #True)                                                 ; Active le Bouton.
ButtonColor::Redraw(#ButtonGadgetColor1)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor2, 10, 55, 80, 15, "Option n°3", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)    ; Bouton Coloré avec Curseur.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                     ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_TextPosition, 5)                                           ; Change la Disposition du Texte sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_Type, ButtonColor::#BC_TypeCheckBox)                       ; Change le Type du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_CheckBoxStyle, ButtonColor::#BC_CheckBoxStyleRound)        ; Change le Style de la CheckBox.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_CheckBoxBorderColorNoActivate, RGBA(0, 0, 255, 255))       ; Change la Couleur de la Bordure Normale de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Active de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))               ; Change la Couleur Interieur de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_CheckBoxMotifColor, RGBA(255, 0, 0, 255))                  ; Change la Couleur du Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_DisableEventAutoDisplay, #True)                            ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_Group, 1)                                                  ; Change le Groupe du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor2)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor3, 10, 75, 80, 15, "Option n°4", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)    ; Bouton Coloré avec Curseur.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                     ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_TextPosition, 5)                                           ; Change la Disposition du Texte sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_Type, ButtonColor::#BC_TypeCheckBox)                       ; Change le Type du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_CheckBoxStyle, ButtonColor::#BC_CheckBoxStyleRound)        ; Change le Style de la CheckBox.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_CheckBoxBorderColorNoActivate, RGBA(0, 0, 255, 255))       ; Change la Couleur de la Bordure Normale de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Active de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))               ; Change la Couleur Interieur de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_CheckBoxMotifColor, RGBA(255, 0, 0, 255))                  ; Change la Couleur du Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_DisableEventAutoDisplay, #True)                            ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_Group, 1)                                                  ; Change le Groupe du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor3)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor4, 100, 15, 80, 15, "Option n°1", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)   ; Bouton Coloré avec Curseur.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                     ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_TextPosition, 5)                                           ; Change la Disposition du Texte sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_Type, ButtonColor::#BC_TypeCheckBox)                       ; Change le Type du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_CheckBoxStyle, ButtonColor::#BC_CheckBoxStyleRound)        ; Change le Style de la CheckBox.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_CheckBoxBorderColorNoActivate, RGBA(0, 150, 0, 255))       ; Change la Couleur de la Bordure Normale de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Active de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))               ; Change la Couleur Interieur de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_CheckBoxMotifColor, RGBA(0, 0, 255, 255))                  ; Change la Couleur du Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_CheckBoxNumberMotif, 63)                                   ; Change le Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_DisableEventAutoDisplay, #True)                            ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_Group, 2)                                                  ; Change le Groupe du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor4)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor5, 100, 35, 80, 15, "Option n°2", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)   ; Bouton Coloré avec Curseur.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                     ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_TextPosition, 5)                                           ; Change la Disposition du Texte sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_Type, ButtonColor::#BC_TypeCheckBox)                       ; Change le Type du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_CheckBoxStyle, ButtonColor::#BC_CheckBoxStyleRound)        ; Change le Style de la CheckBox.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_CheckBoxBorderColorNoActivate, RGBA(0, 150, 0, 255))       ; Change la Couleur de la Bordure Normale de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Active de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))               ; Change la Couleur Interieur de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_CheckBoxMotifColor, RGBA(0, 0, 255, 255))                  ; Change la Couleur du Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_CheckBoxNumberMotif, 63)                                   ; Change le Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_DisableEventAutoDisplay, #True)                            ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_Group, 2)                                                  ; Change le Groupe du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor5)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor6, 100, 55, 80, 15, "Option n°3", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)   ; Bouton Coloré avec Curseur.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                     ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_TextPosition, 5)                                           ; Change la Disposition du Texte sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_Type, ButtonColor::#BC_TypeCheckBox)                       ; Change le Type du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_CheckBoxStyle, ButtonColor::#BC_CheckBoxStyleRound)        ; Change le Style de la CheckBox.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_CheckBoxBorderColorNoActivate, RGBA(0, 150, 0, 255))       ; Change la Couleur de la Bordure Normale de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Active de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))               ; Change la Couleur Interieur de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_CheckBoxMotifColor, RGBA(0, 0, 255, 255))                  ; Change la Couleur du Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_CheckBoxNumberMotif, 63)                                   ; Change le Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_DisableEventAutoDisplay, #True)                            ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
ButtonColor::SetAttribute(#ButtonGadgetColor6, ButtonColor::#BC_Group, 2)                                                  ; Change le Groupe du Bouton.
SetState(#ButtonGadgetColor6, ButtonColor::#BC_StateToggleActivate, #True)                                                 ; Active le Bouton.
ButtonColor::Redraw(#ButtonGadgetColor6)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor7, 100, 75, 80, 15, "Option n°4", RGBA(0, 0, 255, 255), 0, #True, #PB_Cursor_Hand)   ; Bouton Coloré avec Curseur.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                     ; Change le Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_TextPosition, 5)                                           ; Change la Disposition du Texte sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_Type, ButtonColor::#BC_TypeCheckBox)                       ; Change le Type du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_CheckBoxStyle, ButtonColor::#BC_CheckBoxStyleRound)        ; Change le Style de la CheckBox.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_CheckBoxBorderColorNoActivate, RGBA(0, 150, 0, 255))       ; Change la Couleur de la Bordure Normale de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_CheckBoxBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la Couleur de la Bordure Active de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_CheckBoxBackColor, RGBA(255, 255, 255, 255))               ; Change la Couleur Interieur de la ChecBox.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_CheckBoxMotifColor, RGBA(0, 0, 255, 255))                  ; Change la Couleur du Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_CheckBoxNumberMotif, 63)                                   ; Change le Motif de la ChecBox du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_DisableEventAutoDisplay, #True)                            ; Désactive l'Auto Evénement du Bouton (L'apparence du Bouton ne changera pas qu'il soit Pressé ou non).
ButtonColor::SetAttribute(#ButtonGadgetColor7, ButtonColor::#BC_Group, 2)                                                  ; Change le Groupe du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor7)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.


Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventTimer = EventTimer()  ; Pour savoir sur quel Timer s'est produit l'évènement.
  EventType = EventType()    ; Pour savoir quel type d'évènement qui s'est produit sur le gadget.
  
  Select Event 
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor0 To #ButtonGadgetColor7
          
          Select EventType()
              
            Case #PB_EventType_MouseEnter
              
            Case #PB_EventType_MouseLeave
              
            Case #PB_EventType_MouseMove
              
            Case #PB_EventType_LeftButtonDown
              
            Case #PB_EventType_LeftButtonUp
              
            Case #PB_EventType_LeftClick
              
              If ButtonColor::GetState(EventGadget, ButtonColor::#BC_StateToggle) = #True
                
                If ButtonColor::GetState(EventGadget, ButtonColor::#BC_StateToggleActivate) = #False
                  SetState(EventGadget, ButtonColor::#BC_StateToggleActivate, #True)
                  ButtonColor::Redraw(EventGadget)                                                                         ; Redessine le Bouton avec ses nouvelles Valeurs.
                  
                EndIf
                
              EndIf
              
              
          EndSelect
          
        Case #ButtonGadgetColor1
          
          Select EventType()
              
            Case #PB_EventType_LeftClick
              
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; Folding = +
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 39
; EnableBuildCount = 0
; EnableExeConstant