﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "Module CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #ButtonGadgetColor1
  #ButtonGadgetColor2
  #ButtonGadgetColor3
  #ButtonGadgetColor4
  #ButtonGadgetColor5
EndEnumeration
;}

UsePNGImageDecoder()

UseModule ButtonColor

OpenWindow(#Fenetre, 327, 177, 630, 330, "Bouton avec Texte MultiLigne...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)

ButtonColor::Create(#ButtonGadgetColor0, 10, 10, 100, 60, "Bouton coloré Défaut avec Texte MultiLigne", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_Style, ButtonColor::#BC_StyleDefault)                         ; Change de Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_TexMultiLine, #True)                                          ; Active le Texte Multi-Lignes du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor0)                                                                                      ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor1, 120, 10, 100, 60, "Bouton coloré Single avec Texte MultiLigne", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_Style, ButtonColor::#BC_StyleSingle)                           ; Change de Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_TexMultiLine, #True)                                           ; Active le Texte Multi-Lignes du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor1)                                                                                       ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor2, 10, 80, 100, 60, "Bouton coloré Flat avec Texte MultiLigne", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_Style, ButtonColor::#BC_StyleFlat)                          ; Change de Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_TexMultiLine, #True)                                        ; Active le Texte Multi-Lignes du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor2)                                                                                    ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor3, 120, 80, 100, 60, "Bouton coloré Sans Bordure avec Texte MultiLigne", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_Style, ButtonColor::#BC_StyleNoBorder)                               ; Change de Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor3, ButtonColor::#BC_TexMultiLine, #True)                                                 ; Active le Texte Multi-Lignes du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor3)                                                                                             ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor4, 10, 150, 100, 60, "Bouton coloré 3D avec Texte MultiLigne", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_Style, ButtonColor::#BC_Style3D)                           ; Change de Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor4, ButtonColor::#BC_TexMultiLine, #True)                                       ; Active le Texte Multi-Lignes du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor4)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor5, 230, 10, 100, 120, "Bouton coloré 3D avec Texte MultiLigne Aligné en Bas", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_Style, ButtonColor::#BC_Style3D)                                          ; Change de Style du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_TexMultiLine, #True)                                                      ; Active le Texte Multi-Lignes du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_TextOffSetX, 0)                                                           ; Ajuste la Position du Texte sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor5, ButtonColor::#BC_TextOffSetY, 28)                                                          ; Ajuste la Position du Texte sur le Bouton.
ButtonColor::Redraw(#ButtonGadgetColor5)                                                                                                  ; Redessine le Bouton avec ses nouvelles Valeurs.


Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventTimer = EventTimer()  ; Pour savoir sur quel Timer s'est produit l'évènement.
  EventType = EventType()    ; Pour savoir quel type d'évènement qui s'est produit sur le gadget.
  
  Select Event 
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor0
          
          Select EventType()
              
            Case #PB_EventType_MouseEnter
              
            Case #PB_EventType_MouseLeave
              
            Case #PB_EventType_MouseMove
              
            Case #PB_EventType_LeftButtonDown
              
            Case #PB_EventType_LeftButtonUp
              
            Case #PB_EventType_LeftClick
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; Folding = +
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 579
; EnableBuildCount = 0
; EnableExeConstant