﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "Module CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
  #TimerFenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
EndEnumeration
;}

UsePNGImageDecoder()

OpenWindow(#Fenetre, 327, 177, 630, 330, "Bouton avec Texte Défilant dans les 4 direction...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)
AddWindowTimer(#Fenetre, #TimerFenetre, 25)

; 0 = Défilement vers la Gauche.
; 1 = Défilement vers la Droite.
; 2 = Défilement vers le Bas.
; 3 = Défilement vers le Haut.

DefilementTexte.i = 1

ButtonColor::Create(#ButtonGadgetColor0, 10, 10, 250, 30, "Bouton avec Texte Défilant", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_Style, ButtonColor::#BC_StyleSingle)          ; Change de Style du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor0)                                                                      ; Redessine le Bouton avec ses nouvelles Valeurs.

PositionTexteX.i = ButtonColor::GetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_TextX)                                  ; Renvoie la Position X du Texte du Bouton.
SauvegardePositionTexteX.i = PositionTexteX.i
LargeurTexte.i = ButtonColor::GetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_TextWidth)                                ; Renvoie la Largeur en Pixel du Texte du Bouton.

PositionTexteY.i = ButtonColor::GetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_TextY)                                  ; Renvoie la Position Y du Texte du Bouton.
SauvegardePositionTexteY.i = PositionTexteY.i
HauteurTexte.i = ButtonColor::GetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_TextHeight)                               ; Renvoie la Hauteur en Pixel du Texte du Bouton.


Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventTimer = EventTimer()  ; Pour savoir sur quel Timer s'est produit l'évènement.
  EventType = EventType()    ; Pour savoir quel type d'évènement qui s'est produit sur le gadget.
  
  Select Event 
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor0
          
          Select EventType()
              
            Case #PB_EventType_MouseEnter
              
            Case #PB_EventType_MouseLeave
              
            Case #PB_EventType_MouseMove
              
            Case #PB_EventType_LeftButtonDown
              
            Case #PB_EventType_LeftButtonUp
              
            Case #PB_EventType_LeftClick
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_Timer
      
      If EventTimer = #TimerFenetre
        
        Select DefilementTexte.i
            
          Case 0
            
            If PositionTexteX.i > -LargeurTexte.i
              PositionTexteX.i - 1
            Else
              PositionTexteX.i = 250
            EndIf
            
            TextOffSetX.i = PositionTexteX.i - SauvegardePositionTexteX.i
            ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_TextOffSetX, TextOffSetX.i)                                 ; Change la Position du Texte du Bouton.
            ButtonColor::Redraw(#ButtonGadgetColor0)                                                                                    ; Redessine le Bouton avec ses nouvelles Valeurs.
            
          Case 1
            
            If PositionTexteX.i < 250
              PositionTexteX.i + 1
            Else
              PositionTexteX.i = -LargeurTexte.i
            EndIf
            
            TextOffSetX.i = PositionTexteX.i - SauvegardePositionTexteX.i
            ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_TextOffSetX, TextOffSetX.i)                                 ; Change la Position du Texte du Bouton.
            ButtonColor::Redraw(#ButtonGadgetColor0)                                                                                    ; Redessine le Bouton avec ses nouvelles Valeurs.
            
          Case 2
            
            If PositionTexteY.i > -HauteurTexte
              PositionTexteY.i - 1
            Else
              PositionTexteY.i = 30
            EndIf
            
            TextOffSetY.i = PositionTexteY.i - SauvegardePositionTexteY.i
            ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_TextOffSetY, TextOffSetY.i)                                 ; Change la Position du Texte du Bouton.
            ButtonColor::Redraw(#ButtonGadgetColor0)                                                                                    ; Redessine le Bouton avec ses nouvelles Valeurs.
            
          Case 3
            
            If PositionTexteY.i < 30
              PositionTexteY.i + 1
            Else
              PositionTexteY.i = -HauteurTexte
            EndIf
            
            TextOffSetY.i = PositionTexteY.i - SauvegardePositionTexteY.i
            ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_TextOffSetY, TextOffSetY.i)                                 ; Change la Position du Texte du Bouton.
            ButtonColor::Redraw(#ButtonGadgetColor0)                                                                                    ; Redessine le Bouton avec ses nouvelles Valeurs.
            
        EndSelect
        
      EndIf
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; Folding = +
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 45
; EnableBuildCount = 0
; EnableExeConstant